import { Injectable } from '@angular/core';
import {
  ActivatedRouteSnapshot,
  CanActivate,
  GuardResult,
  MaybeAsync,
  Router,
  RouterStateSnapshot
} from '@angular/router';
import PocketBase from 'pocketbase';
import { environment } from '../../environments/environment.development';

@Injectable({
  providedIn: 'root'
})
export class AuthGuard implements CanActivate {
  constructor(private router: Router) { };

  canActivate(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): boolean {
    const pb = new PocketBase(environment.POCKETBASE);

    if (pb.authStore.isValid) {
      return true;
    }
    this.router.navigate(['']);
    return false;
  }
}
